import { ElementRef, AfterViewInit, OnInit } from '@angular/core';
import { ToggleDirective } from '../../commons/directives/toggle.directives';
import { DomLoad } from '../../commons/interfaces/load.interface';
export declare class DropdownDirective implements AfterViewInit, OnInit, DomLoad {
    private elementRef;
    dropup: string;
    toggleDirective: ToggleDirective;
    dropMenuDirective: DropMenuDirective;
    class: string;
    onDocumentClick(dom: any): void;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    toggle(): void;
    isClose(): boolean;
    present(): void;
    dismiss(): void;
}
export declare class DropMenuDirective implements AfterViewInit {
    elementRef: ElementRef;
    left: string;
    class: string;
    onClick: any;
    dom: HTMLDivElement;
    constructor(elementRef: ElementRef);
    ngAfterViewInit(): void;
    private setPostion(dropup, btnSize);
    setShow(dropup: boolean, btnSize: [number, number]): void;
    setHidden(): void;
}
