import { EventEmitter } from '@angular/core';
import { MenuModel, MenuGroup } from './menu.interface';
import { DomAttr } from '../../commons/extends/attr.class';
export declare class MenuComponent extends DomAttr {
    items: MenuModel[];
    avatars: [string, string, string];
    menuActiveChange: EventEmitter<string>;
    constructor();
    toggleGroup(group: MenuGroup): void;
    toggleMenu(group: MenuGroup, itemIndex: number): void;
    setAllInActive(): void;
}
