# ng-tools-ui
A bootstrap4.0 UI for angular4.0+

## 说明

## Install

### To use ngx-charts in your project install it via npm:

```
npm install ng-tools-ui --save

```

### Include bootstrap4.0 css


```
npm install bootstrap --save
```


If you're using the Angular CLI, you can add this to your styles.css:


```css
@import "~bootstrap/dist/css/bootstrap.min.css";

```

or add the follow code in your `.angular-cli.json` file.

```json
...

"styles": [
        "../node_modules/bootstrap/dist/css/bootstrap.min.css",
        "styles.css"
      ],
...

```

## Include font-awesome

Usage

import `ButtonModule` in your module.

```typescript
import { ButtonModule } from 'ng-tools-ui';

@NgModule({
    imports: [..., ButtonModule ],
    ...
})
export class MyModule { }
```