import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { Item } from './../../commons/interfaces/item.interface';
import { DomAttr } from '../../commons/extends/attr.class';
export declare class DropdownComponent extends DomAttr implements OnChanges {
    item: Item;
    text: string;
    value: any;
    items: any[];
    diyClass: string;
    dropup: string;
    useNumber: number;
    valueChange: EventEmitter<any>;
    itemChange: EventEmitter<Item>;
    readonly itemList: Item[];
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    itemClick(item: Item): void;
    trackByHeroes(index: number, item: Item): number;
}
